Bug 241971 - Review Request: drawtiming - Generates digital signal timing diagrams from a textual description
Summary: Review Request: drawtiming - Generates digital signal timing diagrams from a ...
Status: CLOSED DUPLICATE of bug 246117
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-01 00:19 UTC by Eric Smith
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 18:53:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eric Smith 2007-06-01 00:19:58 UTC
Spec URL: http://www.brouhaha.com/~eric/software/fedora/fc6/drawtiming/drawtiming.spec
SRPM URL: http://www.brouhaha.com/~eric/software/fedora/fc6/drawtiming/drawtiming-0.5-5.src.rpm
Description:
Drawtiming provides a command line tool for documenting hardware and
software designs through timing diagrams.  It reads signal
descriptions from a text file with an intuitive syntax, and outputs a
timing diagram to an image file.  Notation typical of timing diagrams
found in the Electrical Engineering discipline is used, including
arrows indicating causal relationships between signal transitions.

Comment 1 Eric Smith 2007-06-06 06:49:19 UTC
Updated to improve conformance to packaging guidelines.  Changelog in spec was
missing some entries, so restarted changelog and reset build release to 1.

Spec URL:
http://www.brouhaha.com/~eric/software/fedora/fc6/drawtiming/drawtiming.spec
SRPM URL:
http://www.brouhaha.com/~eric/software/fedora/fc6/drawtiming/drawtiming-0.5-1.fc6.src.rpm


Comment 2 Mamoru TASAKA 2007-06-06 08:04:55 UTC
(REMOVING NEEDSPONSOR. I will sponsor the submitter
 bug 241099)

Comment 3 Ruben Kerkhof 2007-06-10 14:51:44 UTC
A few comments:

- Replace ./configure with %configure. %configure sets the appropriate CFLAGS etc.
   look at the output of rpm --eval "%configure"
- The smp_mflags are not needed in the %install section, compilation already happened
- Duplicate BuildRequires: freetype-devel (by fontconfig-devel)

Comment 4 Jason Tibbitts 2007-06-29 02:27:30 UTC
Oh, crap, someone else submitted this today and I reviewed and approved it
without even noticing this package (bug 246117).

I'm not sure what to do at this point; perhaps Eric and Chitlesh could
communicate and maybe co-maintain?

Comment 5 Chitlesh GOORAH 2007-06-29 11:06:27 UTC
Hello Eric,
Sorry to take over your package "drawtiming". I didn't notice you had it on the
waiting list for review.

However I'm inviting you to join me maintaining drawtiming together as
co-maintainers.

What do you think ?

Or in the other hand if we are co-maintainers, I would like that you become the
lead maintainer of drawtiming and I'll watch your back.

#246117 is with the latest version of drawtiming

I'll wait for your answer before asking cvs access.

Comment 6 Chitlesh GOORAH 2007-07-03 18:53:03 UTC
(In reply to comment #5)
> I'll wait for your answer before asking cvs access.

No news since 5 days, I'm :
* requesting cvs access for the approved drawtiming spec file, and
* closing this bug as duplicate
246117

Comment 7 Chitlesh GOORAH 2007-07-03 18:53:35 UTC

*** This bug has been marked as a duplicate of 246117 ***


Note You need to log in before you can comment on or make changes to this bug.